<div class="users-details-container" *ngIf="loading">
  <div class="close" (click)="closeDialog()"></div>
  <form [formGroup]="form" (ngSubmit)="onSubmit()" class="user-form">
    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'adminusers.firstname' | translate }}"
        formControlName="firstName"
      />
    </mat-form-field>

    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'adminusers.lastname' | translate }}"
        formControlName="lastName"
      />
    </mat-form-field>

    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'adminusers.email' | translate }}"
        formControlName="email"
      />
    </mat-form-field>

    <div class="btn-container">
      <button type="submit" mat-raised-button color="primary" class="btn">
        {{ 'adminusers.edituser' | translate }}
        <i class="material-icons action-buttons">edit</i>
      </button>
    </div>
  </form>
</div>
